<!-- SEARCH ZONE -->
<div class="mb-3 fs-7">
  <h3 class="col-form-label fs-6">ค้นหาหน่วยงาน</h3>
  <mat-form-field appearance="outline">
    <input [formControl]="searchQuery" (keyup.enter)="search()" minlength="1" matInput placeholder="ค้นหาหน่วยงาน"
      required>
    <button matSuffix mat-icon-button (click)="search()">
      <mat-icon>search</mat-icon>
    </button>
  </mat-form-field>
</div>

<!-- DISPLAY ZONE -->
<div>
  <table mat-table [dataSource]="dataSource" class="mat-elevation-z2" aria-describedby="ตารางข้อมูล">
    <!-- Checkbox Column -->
    <ng-container matColumnDef="select">
      <th id="select" mat-header-cell *matHeaderCellDef class="pl-1">
      </th>
      <td mat-cell *matCellDef="let row">
        <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
          [checked]="selection.isSelected(row)">
        </mat-checkbox>
      </td>
    </ng-container>

    <!-- Position Column -->
    <ng-container matColumnDef="code">
      <th id="code" mat-header-cell *matHeaderCellDef> รหัสหน่วยงาน </th>
      <td mat-cell *matCellDef="let element"> {{element.code}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th id="name" mat-header-cell *matHeaderCellDef> ชื่อหน่วยงาน </th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selection.toggle(row)">
    </tr>
  </table>
  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons aria-label="Select page of periodic elements">
  </mat-paginator>

</div>
<div class="row mt-3 d-flex align-items-center justify-content-end">
  <div class="col-auto button-row ">
    <button class="mx-2 fs-7" mat-raised-button color="primary" [mat-dialog-close]="selection" cdkFocusRegionEnd>ตกลง</button>
    <button class="mx-2 fs-7" mat-stroked-button color="basic" (click)="onNoClick()">ยกเลิก</button>
  </div>
</div>
<app-loader></app-loader>